#include<stdio.h>
void main()
{
			char c1,c2;
			int a1, a2,i;
			printf("");
			scanf("%c%c",&c1,&c2);
			printf("");
			scanf("%d%d",&a1,&a2);
			
			
			if(a1==a2)
			{
				for(i=1;i<=a1;i++)
				{
					printf("%c%c",c1,c2);
				}
			}
			
			else
			{
				printf("Nemoguce");
			} 
			
			printf("\n");
			
}